Index: system-jmx/.classpath
===================================================================
--- system-jmx/.classpath	(revision 112986)
+++ system-jmx/.classpath	(working copy)
@@ -25,5 +25,6 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-dependency.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-dependency-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-kernel.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-kernel-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-bootstrap/lib/jboss-bootstrap.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: system-jmx/src/tests/org/jboss/test/system/metadata/value/valuefactory/test/ServiceValueFactoryParameterMetaDataUnitTestCase.java
===================================================================
--- system-jmx/src/tests/org/jboss/test/system/metadata/value/valuefactory/test/ServiceValueFactoryParameterMetaDataUnitTestCase.java	(revision 112986)
+++ system-jmx/src/tests/org/jboss/test/system/metadata/value/valuefactory/test/ServiceValueFactoryParameterMetaDataUnitTestCase.java	(working copy)
@@ -25,10 +25,10 @@
 import static org.jboss.system.metadata.ServiceValueFactoryParameterMetaData.getValue;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 
+import org.jboss.common.beans.property.ElementEditor;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployers.spi.DeploymentException;
-import org.jboss.util.propertyeditor.ElementEditor;
 import org.w3c.dom.Element;
 
 import junit.framework.TestCase;
@@ -70,16 +70,16 @@
    {
       super.setUp();
       
-      existingElementEditor = PropertyEditorManager.findEditor(Element.class);
+      existingElementEditor = PropertyEditorFinder.getInstance().find(Element.class);
       if (existingElementEditor == null)
-         PropertyEditorManager.registerEditor(Element.class, ElementEditor.class);
+          PropertyEditorFinder.getInstance().register(Element.class, ElementEditor.class);
    }
 
    @Override
    protected void tearDown() throws Exception
    {
       if (existingElementEditor == null)
-         PropertyEditorManager.registerEditor(Element.class, null);
+          PropertyEditorFinder.getInstance().register(Element.class, null);
       
       super.tearDown();
    }
Index: system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceCreator.java
===================================================================
--- system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceCreator.java	(revision 112986)
+++ system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceCreator.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.test.system.controller.legacy;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.UndeclaredThrowableException;
 import java.net.URL;
@@ -31,6 +30,7 @@
 import javax.management.ObjectInstance;
 import javax.management.ObjectName;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployment.DeploymentException;
 import org.jboss.logging.Logger;
 import org.jboss.mx.service.ServiceConstants;
@@ -346,7 +346,7 @@
                   }
 
                   // Convert the string to the real value
-                  PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+                  PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
                   if (editor == null)
                   {
                      try
Index: system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceConfigurator.java
===================================================================
--- system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceConfigurator.java	(revision 112986)
+++ system-jmx/src/tests/org/jboss/test/system/controller/legacy/OldServiceConfigurator.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.test.system.controller.legacy;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.IOException;
 import java.io.StringReader;
 import java.io.StringWriter;
@@ -49,6 +48,8 @@
 import javax.xml.transform.dom.DOMSource;
 import javax.xml.transform.stream.StreamResult;
 
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployment.DeploymentException;
 import org.jboss.logging.Logger;
 import org.jboss.mx.util.JMXExceptionDecoder;
@@ -58,7 +59,6 @@
 import org.jboss.system.ServiceContext;
 import org.jboss.util.Classes;
 import org.jboss.util.StringPropertyReplacer;
-import org.jboss.util.propertyeditor.PropertyEditors;
 import org.jboss.util.xml.DOMWriter;
 import org.jboss.xb.binding.Unmarshaller;
 import org.jboss.xb.binding.UnmarshallerFactory;
@@ -81,15 +81,6 @@
  */
 public class OldServiceConfigurator
 {
-   /** 
-    * Augment the PropertyEditorManager search path to incorporate the JBoss
-    * specific editors. This simply references the PropertyEditors.class to
-    * invoke its static initialization block.
-    */
-   static
-   {
-      PropertyEditors.init();
-   }
 
    // Private Data --------------------------------------------------
    
@@ -512,7 +503,7 @@
          // Replace any ${x} references in the element text
          if (replace)
          {
-            PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+            PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
             if (editor == null)
             {
                log.warn("Cannot perform property replace on Element");
@@ -530,7 +521,7 @@
 
       if (value == null)
       {
-         PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
          if (editor == null)
          {
             throw new DeploymentException
@@ -595,7 +586,7 @@
       }
 
       // Apply the properties to the bean
-      PropertyEditors.mapJavaBeanProperties(bean, beanProps);
+      BeanUtils.mapJavaBeanProperties(bean, beanProps);
       return bean;
    }
 
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceTextValueMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceTextValueMetaData.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceTextValueMetaData.java	(working copy)
@@ -22,14 +22,15 @@
 package org.jboss.system.metadata;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.Serializable;
 
 import javax.management.MBeanAttributeInfo;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployment.DeploymentException;
 import org.jboss.util.Classes;
-import org.jboss.util.propertyeditor.PropertyEditors;
+import org.jboss.util.propertyeditor.BlockingModeEditor;
+import org.jboss.util.threadpool.BlockingMode;
 
 /**
  * ServiceTextValueMetaData.
@@ -44,21 +45,23 @@
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
  * @version $Revision$
  */
+@SuppressWarnings("deprecation")
 public class ServiceTextValueMetaData extends AbstractMetaDataVisitorNode
    implements ServiceValueMetaData, Serializable
 {
+    static
+    {
+        //Ugly hack. Here lies PropertyEditors.init(). Below code is progeny. It is required to properly instantiate
+        //ThreadPools. The threadpools dont do that for themselves. ThreadPools are in common-core.
+       try
+       {
+           PropertyEditorFinder.getInstance().register(BlockingMode.class, BlockingModeEditor.class);
+       }
+       catch (Exception ignored)
+       {
+       }
+    }
    private static final long serialVersionUID = 1;
-
-   static
-   {
-      try
-      {
-         PropertyEditors.init();
-      }
-      catch (Exception ignored)
-      {
-      }
-   }
    
    /** The text */
    private String text;
@@ -119,7 +122,7 @@
          }
       }
 
-      PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
       if (editor == null)
          throw new DeploymentException("No property editor for attribute: " + attributeInfo.getName() + "; type=" + typeClass.getName());
 
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceConstructorMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceConstructorMetaData.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceConstructorMetaData.java	(working copy)
@@ -22,10 +22,11 @@
 package org.jboss.system.metadata;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.Serializable;
 import java.lang.reflect.Constructor;
 
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.system.ConfigurationException;
 import org.jboss.util.Classes;
 import org.jboss.util.StringPropertyReplacer;
@@ -147,7 +148,7 @@
                typeClass = cl.loadClass(signature[i]);
 
             // Convert the string to the real value
-            PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+            PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
             if (editor == null)
             {
                try
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceElementValueMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceElementValueMetaData.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceElementValueMetaData.java	(working copy)
@@ -22,9 +22,9 @@
 package org.jboss.system.metadata;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.Serializable;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.util.StringPropertyReplacer;
 import org.w3c.dom.Element;
@@ -97,7 +97,7 @@
       // Replace any ${x} references in the element text
       if (valueContext.isReplace())
       {
-         PropertyEditor editor = PropertyEditorManager.findEditor(Element.class);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(Element.class);
          if (editor == null)
             log.warn("Cannot perform property replace on Element");
          else
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceJavaBeanValueMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceJavaBeanValueMetaData.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceJavaBeanValueMetaData.java	(working copy)
@@ -25,8 +25,8 @@
 
 import javax.management.MBeanAttributeInfo;
 
+import org.jboss.common.beans.property.BeanUtils;
 import org.jboss.deployment.DeploymentException;
-import org.jboss.util.propertyeditor.PropertyEditors;
 import org.w3c.dom.Element;
 import org.w3c.dom.Node;
 import org.w3c.dom.NodeList;
@@ -44,6 +44,7 @@
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
  * @version $Revision$
  */
+@SuppressWarnings("deprecation")
 public class ServiceJavaBeanValueMetaData extends ServiceElementValueMetaData
 {
    private static final long serialVersionUID = 1;
@@ -101,7 +102,7 @@
       }
 
       // Apply the properties to the bean
-      PropertyEditors.mapJavaBeanProperties(bean, beanProps);
+      BeanUtils.mapJavaBeanProperties(bean, beanProps);
       return bean;
    }
 }
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceValueFactoryParameterMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceValueFactoryParameterMetaData.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceValueFactoryParameterMetaData.java	(working copy)
@@ -23,9 +23,9 @@
 package org.jboss.system.metadata;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.Constructor;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployers.spi.DeploymentException;
 import org.jboss.util.Classes;
 
@@ -151,7 +151,7 @@
       if (String.class == typeClass)
          return textValue;
 
-      PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
       if (editor == null)
       {
          try
Index: system-jmx/src/main/org/jboss/system/deployers/managed/ServiceMetaDataICF.java
===================================================================
--- system-jmx/src/main/org/jboss/system/deployers/managed/ServiceMetaDataICF.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/deployers/managed/ServiceMetaDataICF.java	(working copy)
@@ -35,6 +35,8 @@
 
 import org.jboss.beans.info.spi.BeanInfo;
 import org.jboss.beans.info.spi.PropertyInfo;
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.managed.api.ManagedProperty;
 import org.jboss.managed.spi.factory.InstanceClassFactory;
@@ -53,7 +55,6 @@
 import org.jboss.system.metadata.ServiceTextValueMetaData;
 import org.jboss.system.metadata.ServiceValueContext;
 import org.jboss.system.metadata.ServiceValueMetaData;
-import org.jboss.util.propertyeditor.PropertyEditors;
 import org.w3c.dom.Element;
 
 /**
@@ -221,7 +222,7 @@
                catch(Exception e)
                {
                   // TODO: better way to determine if the bean was installed, as this does not make much sense
-                  PropertyEditor editor = PropertyEditors.getEditor(metaType.getTypeName());
+                  PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(metaType.getTypeName()));
                   editor.setAsText(text.getText());
                   value = editor.getValue();
                }
Index: system-jmx/src/main/org/jboss/system/pm/XMLAttributePersistenceManager.java
===================================================================
--- system-jmx/src/main/org/jboss/system/pm/XMLAttributePersistenceManager.java	(revision 112986)
+++ system-jmx/src/main/org/jboss/system/pm/XMLAttributePersistenceManager.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.system.pm;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.File;
@@ -55,6 +54,7 @@
 import javax.xml.transform.dom.DOMSource;
 import javax.xml.transform.stream.StreamResult;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.mx.persistence.AttributePersistenceManager;
 import org.jboss.system.server.ServerConfigLocator;
@@ -294,7 +294,7 @@
          else {
             Class clazz = value.getClass();
             String type = clazz.getName();
-	        PropertyEditor peditor = PropertyEditorManager.findEditor(clazz);
+	        PropertyEditor peditor = PropertyEditorFinder.getInstance().find(clazz);
 
 	        if (peditor != null) {
 		       // (c) use a PropertyEditor - mark the type and append the value as string  	           
@@ -494,7 +494,7 @@
 	                                            "' of type '" + type + "'");
 	                     }
 
-	                     PropertyEditor peditor = PropertyEditorManager.findEditor(clazz);
+	                     PropertyEditor peditor = PropertyEditorFinder.getInstance().find(clazz);
 
 	         	         if (peditor != null) {
 	         		        
Index: system/.classpath
===================================================================
--- system/.classpath	(revision 112986)
+++ system/.classpath	(working copy)
@@ -38,5 +38,6 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-kernel.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-kernel-sources.jar"/>
 	<classpathentry exported="true" kind="lib" path="/thirdparty/jboss/jboss-bootstrap/lib/jboss-bootstrap.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jbossxb/lib/jboss-xml-binding.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: system/src/main/org/jboss/system/property/PropertyEditorManagerService.java
===================================================================
--- system/src/main/org/jboss/system/property/PropertyEditorManagerService.java	(revision 0)
+++ system/src/main/org/jboss/system/property/PropertyEditorManagerService.java	(revision 0)
@@ -0,0 +1,56 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright (c) 2012, Red Hat, Inc., and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.system.property;
+
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
+import org.jboss.logging.Logger;
+
+import java.beans.PropertyEditor;
+import java.util.Map;
+
+/**
+ * @author <a href="mailto:cdewolf@redhat.com">Carlo de Wolf</a>
+ */
+public class PropertyEditorManagerService
+{
+   private static final Logger log = Logger.getLogger(PropertyEditorManagerService.class);
+
+   private Map<Class<?>, Class<? extends PropertyEditor>> editors;
+
+   public void setEditors(final Map<Class<?>, Class<? extends PropertyEditor>> editors)
+   {
+      this.editors = editors;
+   }
+
+   public void start()
+   {
+      if (editors == null)
+         return;
+      for (Map.Entry<Class<?>, Class<? extends PropertyEditor>> entry : editors.entrySet())
+      {
+         final Class<?> type = entry.getKey();
+         final Class<? extends PropertyEditor> editor = entry.getValue();
+         PropertyEditorFinder.getInstance().register(type, editor);
+         log.infof("Registered editor %s for %s", editor, type);
+      }
+   }
+}
\ No newline at end of file
Index: varia/.classpath
===================================================================
--- varia/.classpath	(revision 112986)
+++ varia/.classpath	(working copy)
@@ -19,6 +19,7 @@
 	<classpathentry kind="lib" path="/thirdparty/org/apache/lib/xmlsec.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/juddi/lib/juddi.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/beanshell/lib/bsh.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-deployers/lib/jboss-deployers-client.jar" sourcepath="/thirdparty/jboss/jboss-deployers/lib/jboss-deployers-client-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/junit/lib/junit.jar" sourcepath="/thirdparty/junit/lib/junit-src.zip"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/web/lib/servlet-api.jar"/>
@@ -26,4 +27,4 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-kernel.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-kernel-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-bootstrap/lib/jboss-bootstrap.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
-</classpath>
+</classpath>
\ No newline at end of file
Index: varia/src/tests/org/jboss/test/services/binding/test/ServiceBindingTestBase.java
===================================================================
--- varia/src/tests/org/jboss/test/services/binding/test/ServiceBindingTestBase.java	(revision 112986)
+++ varia/src/tests/org/jboss/test/services/binding/test/ServiceBindingTestBase.java	(working copy)
@@ -41,7 +41,7 @@
 import org.jboss.services.binding.ServiceBinding;
 import org.jboss.services.binding.ServiceBindingMetadata;
 import org.jboss.services.binding.impl.XSLTServiceBindingValueSourceConfig;
-import org.jboss.util.propertyeditor.ElementEditor;
+import org.jboss.common.beans.property.ElementEditor;
 import org.jboss.util.xml.JBossEntityResolver;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
Index: varia/src/main/org/jboss/ant/JMX.java
===================================================================
--- varia/src/main/org/jboss/ant/JMX.java	(revision 112986)
+++ varia/src/main/org/jboss/ant/JMX.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.ant;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.Properties;
@@ -35,7 +34,8 @@
 
 import org.apache.tools.ant.BuildException;
 import org.apache.tools.ant.Task;
-import org.jboss.util.propertyeditor.PropertyEditors;
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 
 /**
  * JMX.java. An ant plugin to call managed operations and set attributes
@@ -52,8 +52,8 @@
  *	classname="org.jboss.ant.JMX"/>
  *   <jmx adapterName="jmx:HP.home.home:rmi">
  *
- *     <propertyEditor type="java.math.BigDecimal" editor="org.jboss.util.propertyeditor.BigDecimalEditor"/>
- *     <propertyEditor type="java.util.Date" editor="org.jboss.util.propertyeditor.DateEditor"/>
+ *     <propertyEditor type="java.math.BigDecimal" editor="org.jboss.common.beans.property.BigDecimalEditor"/>
+ *     <propertyEditor type="java.util.Date" editor="org.jboss.common.beans.property.DateEditor"/>
  *
  *
  *      <!-- define classes -->
@@ -516,7 +516,7 @@
       }
 
       /**
-       * The <code>getValue</code> method uses PropertyEditors to convert
+       * The <code>getValue</code> method uses PropertyEditorFinder to convert
        * the string representation of the value to an object, which it returns.
        * The PropertyEditor to use is determined by the type specified.
        *
@@ -525,7 +525,7 @@
        */
       public Object getValue() throws Exception
       {
-         PropertyEditor editor = PropertyEditors.getEditor(type);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(type));
          editor.setAsText(arg);
          return editor.getValue();
       }
@@ -594,29 +594,29 @@
          return editor;
       }
 
-      private Class<?> getEditorClass() throws ClassNotFoundException
+      private Class<? extends PropertyEditor> getEditorClass() throws ClassNotFoundException
       {
          //with a little luck, one of these will work with Ant's classloaders
          try
          {
-            return Class.forName(editor);
+            return (Class<? extends PropertyEditor>) Class.forName(editor);
          }
          catch (ClassNotFoundException e)
          {
          } // end of try-catch
          try
          {
-            return getClass().getClassLoader().loadClass(editor);
+            return (Class<? extends PropertyEditor>)getClass().getClassLoader().loadClass(editor);
          }
          catch (ClassNotFoundException e)
          {
          } // end of try-catch
-         return Thread.currentThread().getContextClassLoader().loadClass(editor);
+         return (Class<? extends PropertyEditor>)Thread.currentThread().getContextClassLoader().loadClass(editor);
       }
 
       public void execute() throws ClassNotFoundException
       {
-         PropertyEditorManager.registerEditor(getTypeClass(), getEditorClass());
+         PropertyEditorFinder.getInstance().register(getTypeClass(), getEditorClass());
       }
    }
 
Index: varia/src/main/org/jboss/varia/property/PropertyEditorManagerService.java
===================================================================
--- varia/src/main/org/jboss/varia/property/PropertyEditorManagerService.java	(revision 112986)
+++ varia/src/main/org/jboss/varia/property/PropertyEditorManagerService.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.varia.property;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.io.ByteArrayInputStream;
 import java.io.IOException;
 import java.util.ArrayList;
@@ -36,10 +35,12 @@
 import javax.management.MalformedObjectNameException;
 import javax.management.ObjectName;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.system.ServiceMBeanSupport;
 
+
 /**
- * A service to access <tt>java.beans.PropertyEditorManager</tt>.
+ * A service to access <tt>org.jboss.common.beans.property.finder.PropertyEditorFinder</tt> service.
  *
  * @author  <a href="mailto:jason@planet57.com">Jason Dillon</a>
  * @version <tt>$Revision$</tt>
@@ -52,8 +53,8 @@
     * These will be removed in destroyService().
     * This is to prevent memory leakage of the class loader.
     */
-   private List registeredEditors = Collections.synchronizedList(new ArrayList());
-
+   private final List registeredEditors = Collections.synchronizedList(new ArrayList());
+   private final PropertyEditorFinder propertyEditorFinder = PropertyEditorFinder.getInstance();
    ///////////////////////////////////////////////////////////////////////////
    //                      PropertyEditorManager Access                     //
    ///////////////////////////////////////////////////////////////////////////
@@ -68,7 +69,7 @@
     */
    public PropertyEditor findEditor(final Class type)
    {
-      return PropertyEditorManager.findEditor(type);
+      return propertyEditorFinder.find(type);
    }
 
    /**
@@ -84,7 +85,7 @@
    {
       Class type = Class.forName(typeName);
       
-      return PropertyEditorManager.findEditor(type);
+      return propertyEditorFinder.find(type);
    }
 
    /**
@@ -98,7 +99,7 @@
    public void registerEditor(final Class type, final Class editorType)
    {
       registeredEditors.add(type);
-      PropertyEditorManager.registerEditor(type, editorType);
+      propertyEditorFinder.register(type, editorType);
    }
 
    /**
@@ -157,7 +158,7 @@
     */
    public String getEditorSearchPath()
    {
-      return makeString(PropertyEditorManager.getEditorSearchPath());
+      return makeString(propertyEditorFinder.getEditorSearchPackages());
    }
 
    /**
@@ -169,7 +170,7 @@
     */
    public void setEditorSearchPath(final String path)
    {
-      PropertyEditorManager.setEditorSearchPath(makeArray(path));
+       propertyEditorFinder.setEditorSearchPackages(makeArray(path));
    }
    
 
@@ -240,7 +241,7 @@
       while (iter.hasNext())
       {
          Class type = (Class)iter.next();
-         PropertyEditorManager.registerEditor(type, null);
+         propertyEditorFinder.register(type, null);
          iter.remove();
       }
    }
Index: varia/src/main/org/jboss/services/deployment/metadata/ConfigInfoBinding.java
===================================================================
--- varia/src/main/org/jboss/services/deployment/metadata/ConfigInfoBinding.java	(revision 112986)
+++ varia/src/main/org/jboss/services/deployment/metadata/ConfigInfoBinding.java	(working copy)
@@ -22,8 +22,9 @@
 package org.jboss.services.deployment.metadata;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 
+
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.xb.binding.GenericObjectModelFactory;
 import org.jboss.xb.binding.UnmarshallingContext;
 import org.xml.sax.Attributes;
@@ -197,7 +198,7 @@
                throw new RuntimeException("Class not found for property '" + pi.getName() +
                                     "' of type '" + pi.getType() + "'");
             }
-            PropertyEditor peditor = PropertyEditorManager.findEditor(clazz);
+            PropertyEditor peditor = PropertyEditorFinder.getInstance().find(clazz);
 
             if (peditor != null) {
                peditor.setAsText(value);
Index: varia/src/main/org/jboss/services/binding/impl/StringReplacementServiceBindingValueSourceImpl.java
===================================================================
--- varia/src/main/org/jboss/services/binding/impl/StringReplacementServiceBindingValueSourceImpl.java	(revision 112986)
+++ varia/src/main/org/jboss/services/binding/impl/StringReplacementServiceBindingValueSourceImpl.java	(working copy)
@@ -27,6 +27,7 @@
 import java.io.IOException;
 import java.net.URL;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.services.binding.ElementServiceBindingValueSource;
 import org.jboss.services.binding.ServiceBinding;
 import org.jboss.services.binding.StringServiceBindingValueSource;
@@ -61,7 +62,7 @@
       if (input == null)
          throw new IllegalArgumentException("input cannot be null");
       
-      PropertyEditor editor = PropertyEditorManager.findEditor(Element.class);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(Element.class);
       if (editor == null)
          throw new IllegalStateException("Cannot find PropertyEditor for type Element");
       
Index: varia/src/main/org/jboss/services/binding/impl/XSLTServiceBindingValueSourceImpl.java
===================================================================
--- varia/src/main/org/jboss/services/binding/impl/XSLTServiceBindingValueSourceImpl.java	(revision 112986)
+++ varia/src/main/org/jboss/services/binding/impl/XSLTServiceBindingValueSourceImpl.java	(working copy)
@@ -46,6 +46,7 @@
 import javax.xml.transform.stream.StreamResult;
 import javax.xml.transform.stream.StreamSource;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.services.binding.ElementServiceBindingValueSource;
 import org.jboss.services.binding.ServiceBinding;
@@ -124,7 +125,7 @@
       if (input == null)
          throw new IllegalArgumentException("input cannot be null");
       
-      PropertyEditor editor = PropertyEditorManager.findEditor(Element.class);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(Element.class);
       if (editor == null)
          throw new IllegalStateException("Cannot find PropertyEditor for type Element");
       
